%define majver %(echo %version | cut -d. -f1-2)
Name:          xfce4-panel
Version:       4.16.1
Release:       1mamba
Summary:       Panel for Xfce 4
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.xfce.org/
Source:        http://archive.xfce.org/src/xfce/xfce4-panel/%{majver}/xfce4-panel-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: exo-devel
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgarcon-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libICE-devel
BuildRequires: libicu-devel
BuildRequires: libpango-devel
BuildRequires: libpng15-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: libwnck2-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libxfce4ui-devel
BuildRequires: libxfce4util-devel
BuildRequires: libXres-devel
BuildRequires: libz-devel
BuildRequires: xfconf-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: libxfce4util-devel >= 4.4.0
BuildRequires: libxfcegui4-devel >= 4.4.0
BuildRequires: libgtk-devel >= 2.6.0
Requires:      libxfce4util >= 4.4.0
Requires:      libxfcegui4 >= 4.4.0
Requires:      libgtk >= 2.6.0

%description
xfce4-panel is the panel for the Xfce desktop environment.

%package devel
Summary:       developpment headers for xfce4-panel
Group:         Applications/Development
Requires:      xfce4-panel = %{version}-%{release}

%description devel
Header files to build plugins for xfce4-panel.

%debug_package

%prep
%setup -q

%build
%configure --enable-final --enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xdg/xfce4/
%{_bindir}/xfce4-panel
%{_bindir}/xfce4-popup-applicationsmenu
%{_bindir}/xfce4-popup-directorymenu
%{_bindir}/xfce4-popup-windowmenu
#%{_libdir}/libxfce4panel-1.0.so.*
%{_libdir}/libxfce4panel-2.0.so.*
%{_datadir}/icons/
%{_datadir}/locale/
%dir %{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel/plugins
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/plugins/lib*
#%{_libdir}/xfce4/panel/wrapper-1.0
%{_libdir}/xfce4/panel/wrapper-2.0
%{_libdir}/girepository-1.0/Libxfce4panel-2.0.typelib
%{_datadir}/applications/panel-desktop-handler.desktop
%{_datadir}/applications/panel-preferences.desktop
%doc COPYING AUTHORS

%files devel
%defattr(-, root, root)
#%dir %{_includedir}/xfce4/libxfce4panel-1.0
#%dir %{_includedir}/xfce4/libxfce4panel-1.0/libxfce4panel
#%{_includedir}/xfce4/libxfce4panel-1.0/libxfce4panel/*.h
%dir %{_includedir}/xfce4/libxfce4panel-2.0
%dir %{_includedir}/xfce4/libxfce4panel-2.0/libxfce4panel
%{_includedir}/xfce4/libxfce4panel-2.0/libxfce4panel/*
#%{_libdir}/libxfce4panel-1.0.la
#%{_libdir}/libxfce4panel-1.0.so
%{_libdir}/libxfce4panel-2.0.la
%{_libdir}/libxfce4panel-2.0.so
%{_datadir}/vala/vapi/libxfce4panel-2.0.deps
%{_datadir}/vala/vapi/libxfce4panel-2.0.vapi
%{_datadir}/gir-1.0/Libxfce4panel-2.0.gir
%dir %{_datadir}/gtk-doc/html/libxfce4panel-2.0
%{_datadir}/gtk-doc/html/libxfce4panel-2.0/*
%{_libdir}/pkgconfig/*.pc
%doc README.md ChangeLog NEWS INSTALL

%changelog
* Wed Jan 27 2021 Automatic Build System <autodist@mambasoft.it> 4.16.1-1mamba
- automatic version update by autodist

* Fri Jan 22 2021 Automatic Build System <autodist@mambasoft.it> 4.16.0-1mamba
- automatic version update by autodist

* Wed May 13 2020 Automatic Build System <autodist@mambasoft.it> 4.14.4-1mamba
- automatic version update by autodist

* Tue Dec 19 2017 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic update by autodist

* Tue Oct 25 2016 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Mon Mar 16 2015 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- update to 4.10.1

* Sat Oct 20 2012 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Fri Jan 28 2011 Automatic Build System <autodist@mambasoft.it> 4.8.0-1mamba
- update to 4.8.0

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 4.6.4-1mamba
- update to 4.6.4

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 4.6.1-2mamba
- automatic rebuild by autodist

* Sat May 02 2009 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic update to 4.6.1 by autodist

* Mon Mar 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.0-1mamba
- automatic update to 4.6.0 by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-1mamba
- update to 4.4.3

* Sat Apr 14 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 4.4.1-1mamba
- update to 4.4.1

* Thu Mar 22 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 4.4.0-1qilnx
- update to 4.4.0

* Mon Sep 25 2006 Tiziano Pratellesi <info@mycare.it> 4.3.99.1-1qilnx
- update to 4.3.99.1

* Thu Sep 21 2006 Tiziano Pratellesi <info@mycare.it> 4.3.90.2-1qilnx
- update to 4.3.90.2

* Tue Sep 19 2006 Tiziano Pratellesi <info@mycare.it> 4.2.3-1qilnx
- package created by autospec
